<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFFormulaEvaluator (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFFormulaEvaluator (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFFormulaEvaluator.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFGraphicFrame.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFFormulaEvaluator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.ss.formula.BaseFormulaEvaluator">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFFormulaEvaluator" class="title">Class XSSFFormulaEvaluator</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
                       title="class in org.apache.poi.ss.formula">org.apache.poi.ss.formula.BaseFormulaEvaluator</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html"
                               title="class in org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel.BaseXSSFFormulaEvaluator</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.xssf.usermodel.XSSFFormulaEvaluator</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html"
                           title="interface in org.apache.poi.ss.formula">WorkbookEvaluatorProvider</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                            title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">XSSFFormulaEvaluator</span>
extends <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html"
           title="class in org.apache.poi.xssf.usermodel">BaseXSSFFormulaEvaluator</a></pre>
                <div class="block">Evaluates formula cells.<p>

                    For performance reasons, this class keeps a cache of all previously calculated intermediate
                    cell values. Be sure to call <a
                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#clearAllCachedResultValues--"><code>BaseFormulaEvaluator.clearAllCachedResultValues()</code></a>
                    if any workbook cells are changed between
                    calls to evaluate~ methods on this class.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.ss.formula.BaseFormulaEvaluator">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.ss.formula.<a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">BaseFormulaEvaluator</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#Z:Z_bookEvaluator">_bookEvaluator</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html#XSSFFormulaEvaluator-org.apache.poi.xssf.usermodel.XSSFWorkbook-">XSSFFormulaEvaluator</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;workbook)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html#XSSFFormulaEvaluator-org.apache.poi.xssf.usermodel.XSSFWorkbook-org.apache.poi.ss.formula.WorkbookEvaluator-">XSSFFormulaEvaluator</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;workbook,
                                    <a href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                       title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFormulaEvaluator</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html#create-org.apache.poi.xssf.usermodel.XSSFWorkbook-org.apache.poi.ss.formula.IStabilityClassifier-org.apache.poi.ss.formula.udf.UDFFinder-">create</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;workbook,
                                    <a href="../../../../../org/apache/poi/ss/formula/IStabilityClassifier.html"
                                       title="interface in org.apache.poi.ss.formula">IStabilityClassifier</a>&nbsp;stabilityClassifier,
                                    <a href="../../../../../org/apache/poi/ss/formula/udf/UDFFinder.html"
                                       title="interface in org.apache.poi.ss.formula.udf">UDFFinder</a>&nbsp;udfFinder)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html#evaluateAll--">evaluateAll</a></span>()</code>
                                    <div class="block">Loops over all cells in all sheets of the supplied
                                        workbook.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html#evaluateAllFormulaCells-org.apache.poi.xssf.usermodel.XSSFWorkbook-">evaluateAllFormulaCells</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;wb)</code>
                                    <div class="block">Loops over all cells in all sheets of the supplied
                                        workbook.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html#evaluateInCell-org.apache.poi.ss.usermodel.Cell-">evaluateInCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">If cell contains formula, it evaluates the formula, and
                                        puts the formula result back into the cell, in place
                                        of the old formula.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html#notifyDeleteCell-org.apache.poi.ss.usermodel.Cell-">notifyDeleteCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">Should be called to tell the cell value cache that the specified
                                        cell has just become a
                                        formula cell, or the formula text has changed
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html#notifySetFormula-org.apache.poi.ss.usermodel.Cell-">notifySetFormula</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">Should be called to tell the cell value cache that the specified
                                        (value or formula) cell
                                        has changed.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html#notifyUpdateCell-org.apache.poi.ss.usermodel.Cell-">notifyUpdateCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">Should be called to tell the cell value cache that the specified
                                        (value or formula) cell
                                        has changed.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html#toEvaluationCell-org.apache.poi.ss.usermodel.Cell-">toEvaluationCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">Turns a XSSFCell into a XSSFEvaluationCell</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.BaseXSSFFormulaEvaluator">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html"
                                        title="class in org.apache.poi.xssf.usermodel">BaseXSSFFormulaEvaluator</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html#createRichTextString-java.lang.String-">createRichTextString</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html#evaluateFormulaCellValue-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCellValue</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html#setCellType-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellType-">setCellType</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.BaseFormulaEvaluator">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.formula.<a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">BaseFormulaEvaluator</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#Z:Z_getWorkbookEvaluator--">_getWorkbookEvaluator</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#clearAllCachedResultValues--">clearAllCachedResultValues</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluate-org.apache.poi.ss.usermodel.Cell-">evaluate</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateAllFormulaCells-org.apache.poi.ss.usermodel.Workbook-">evaluateAllFormulaCells</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateAllFormulaCells-org.apache.poi.ss.usermodel.Workbook-org.apache.poi.ss.usermodel.FormulaEvaluator-">evaluateAllFormulaCells</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateFormulaCell-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCell</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateFormulaCellEnum-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCellEnum</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#getEvaluationWorkbook--">getEvaluationWorkbook</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setCellType-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellValue-">setCellType</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setCellValue-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellValue-">setCellValue</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setDebugEvaluationOutputForNextEval-boolean-">setDebugEvaluationOutputForNextEval</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setIgnoreMissingWorkbooks-boolean-">setIgnoreMissingWorkbooks</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setupEnvironment-java.lang.String:A-org.apache.poi.ss.formula.BaseFormulaEvaluator:A-">setupEnvironment</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setupReferencedWorkbooks-java.util.Map-">setupReferencedWorkbooks</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFFormulaEvaluator-org.apache.poi.xssf.usermodel.XSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFFormulaEvaluator</h4>
                                <pre>public&nbsp;XSSFFormulaEvaluator(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;workbook)</pre>
                            </li>
                        </ul>
                        <a name="XSSFFormulaEvaluator-org.apache.poi.xssf.usermodel.XSSFWorkbook-org.apache.poi.ss.formula.WorkbookEvaluator-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFFormulaEvaluator</h4>
                                <pre>protected&nbsp;XSSFFormulaEvaluator(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;workbook,
                               <a href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                  title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="create-org.apache.poi.xssf.usermodel.XSSFWorkbook-org.apache.poi.ss.formula.IStabilityClassifier-org.apache.poi.ss.formula.udf.UDFFinder-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFFormulaEvaluator</a>&nbsp;create(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;workbook,
                                          <a href="../../../../../org/apache/poi/ss/formula/IStabilityClassifier.html"
                                             title="interface in org.apache.poi.ss.formula">IStabilityClassifier</a>&nbsp;stabilityClassifier,
                                          <a href="../../../../../org/apache/poi/ss/formula/udf/UDFFinder.html"
                                             title="interface in org.apache.poi.ss.formula.udf">UDFFinder</a>&nbsp;udfFinder)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stabilityClassifier</code> - used to optimise caching performance. Pass
                                        <code>null</code>
                                        for the (conservative) assumption that any cell may have its definition changed
                                        after
                                        evaluation begins.
                                    </dd>
                                    <dd><code>udfFinder</code> - pass <code>null</code> for default (AnalysisToolPak
                                        only)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="notifySetFormula-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>notifySetFormula</h4>
                                <pre>public&nbsp;void&nbsp;notifySetFormula(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#notifySetFormula-org.apache.poi.ss.usermodel.Cell-">FormulaEvaluator</a></code></span>
                                </div>
                                <div class="block">Should be called to tell the cell value cache that the specified
                                    (value or formula) cell
                                    has changed.
                                    Failure to call this method after changing cell values will cause incorrect
                                    behaviour
                                    of the evaluate~ methods of this class
                                </div>
                            </li>
                        </ul>
                        <a name="notifyDeleteCell-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>notifyDeleteCell</h4>
                                <pre>public&nbsp;void&nbsp;notifyDeleteCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#notifyDeleteCell-org.apache.poi.ss.usermodel.Cell-">FormulaEvaluator</a></code></span>
                                </div>
                                <div class="block">Should be called to tell the cell value cache that the specified cell
                                    has just become a
                                    formula cell, or the formula text has changed
                                </div>
                            </li>
                        </ul>
                        <a name="notifyUpdateCell-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>notifyUpdateCell</h4>
                                <pre>public&nbsp;void&nbsp;notifyUpdateCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#notifyUpdateCell-org.apache.poi.ss.usermodel.Cell-">FormulaEvaluator</a></code></span>
                                </div>
                                <div class="block">Should be called to tell the cell value cache that the specified
                                    (value or formula) cell
                                    has changed.
                                    Failure to call this method after changing cell values will cause incorrect
                                    behaviour
                                    of the evaluate~ methods of this class
                                </div>
                            </li>
                        </ul>
                        <a name="evaluateAllFormulaCells-org.apache.poi.xssf.usermodel.XSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluateAllFormulaCells</h4>
                                <pre>public static&nbsp;void&nbsp;evaluateAllFormulaCells(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;wb)</pre>
                                <div class="block">Loops over all cells in all sheets of the supplied
                                    workbook.
                                    For cells that contain formulas, their formulas are
                                    evaluated, and the results are saved. These cells
                                    remain as formula cells.
                                    For cells that do not contain formulas, no changes
                                    are made.
                                    This is a helpful wrapper around looping over all
                                    cells, and calling evaluateFormulaCell on each one.
                                </div>
                            </li>
                        </ul>
                        <a name="evaluateInCell-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluateInCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFCell</a>&nbsp;evaluateInCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateInCell-org.apache.poi.ss.usermodel.Cell-">BaseFormulaEvaluator</a></code></span>
                                </div>
                                <div class="block">If cell contains formula, it evaluates the formula, and
                                    puts the formula result back into the cell, in place
                                    of the old formula.
                                    Else if cell does not contain formula, this method leaves
                                    the cell unchanged.
                                    Note that the same instance of <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                            title="interface in org.apache.poi.ss.usermodel"><code>Cell</code></a> is
                                    returned to
                                    allow chained calls like:
                                    <pre>
 int evaluatedCellType = evaluator.evaluateInCell(cell).getCellType();
 </pre>
                                    Be aware that your cell value will be changed to hold the
                                    result of the formula. If you simply want the formula
                                    value computed for you, use <a
                                            href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateFormulaCell-org.apache.poi.ss.usermodel.Cell-"><code>BaseFormulaEvaluator.evaluateFormulaCell(Cell)</code></a>}
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#evaluateInCell-org.apache.poi.ss.usermodel.Cell-">evaluateInCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateInCell-org.apache.poi.ss.usermodel.Cell-">evaluateInCell</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
                                                title="class in org.apache.poi.ss.formula">BaseFormulaEvaluator</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - The <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                            title="interface in org.apache.poi.ss.usermodel"><code>Cell</code></a> to
                                        evaluate and modify.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the <code>cell</code> that was passed in, allowing for chained calls</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="evaluateAll--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluateAll</h4>
                                <pre>public&nbsp;void&nbsp;evaluateAll()</pre>
                                <div class="block">Loops over all cells in all sheets of the supplied
                                    workbook.
                                    For cells that contain formulas, their formulas are
                                    evaluated, and the results are saved. These cells
                                    remain as formula cells.
                                    For cells that do not contain formulas, no changes
                                    are made.
                                    This is a helpful wrapper around looping over all
                                    cells, and calling evaluateFormulaCell on each one.
                                </div>
                            </li>
                        </ul>
                        <a name="toEvaluationCell-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toEvaluationCell</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationCell.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationCell</a>&nbsp;toEvaluationCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block">Turns a XSSFCell into a XSSFEvaluationCell</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html#toEvaluationCell-org.apache.poi.ss.usermodel.Cell-">toEvaluationCell</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html"
                                                title="class in org.apache.poi.xssf.usermodel">BaseXSSFFormulaEvaluator</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFFormulaEvaluator.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFGraphicFrame.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFFormulaEvaluator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.ss.formula.BaseFormulaEvaluator">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
